import { OnInit } from "@angular/core";
import { MenuItem } from 'primeng/api';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class HephaestusProfileMenuComponent implements OnInit {
    items: MenuItem[];
    userData$: Observable<never>;
    isExpanded: boolean;
    uiConfig: import("ngx-smz-ui").NgxSmzUiConfig;
    constructor();
    ngOnInit(): void;
    get themeClass(): "" | "active-menuitem";
    collapse(): void;
    toggle(): void;
    test(event: any): void;
    handleMissingImage(event: Event, user: string, notfound: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HephaestusProfileMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HephaestusProfileMenuComponent, "[smz-ui-hephaestus-profile-menu]", never, { "items": { "alias": "items"; "required": false; }; }, {}, never, never, false, never>;
}
